/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __KILLPROBE_BPF_SKEL_H__
#define __KILLPROBE_BPF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct killprobe_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *monitor_killed_map;
		struct bpf_map *monitor_killer_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *output;
		struct bpf_map *proc_obj_map;
	} maps;
	struct {
		struct bpf_program *bpf___x64_sys_kill;
	} progs;
	struct {
		struct bpf_link *bpf___x64_sys_kill;
	} links;
};

static void
killprobe_bpf__destroy(struct killprobe_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
killprobe_bpf__create_skeleton(struct killprobe_bpf *obj);

static inline struct killprobe_bpf *
killprobe_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct killprobe_bpf *obj;

	obj = (struct killprobe_bpf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (killprobe_bpf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	killprobe_bpf__destroy(obj);
	return NULL;
}

static inline struct killprobe_bpf *
killprobe_bpf__open(void)
{
	return killprobe_bpf__open_opts(NULL);
}

static inline int
killprobe_bpf__load(struct killprobe_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct killprobe_bpf *
killprobe_bpf__open_and_load(void)
{
	struct killprobe_bpf *obj;

	obj = killprobe_bpf__open();
	if (!obj)
		return NULL;
	if (killprobe_bpf__load(obj)) {
		killprobe_bpf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
killprobe_bpf__attach(struct killprobe_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
killprobe_bpf__detach(struct killprobe_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
killprobe_bpf__create_skeleton(struct killprobe_bpf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "killprobe_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "monitor_killed_map";
	s->maps[2].map = &obj->maps.monitor_killed_map;

	s->maps[3].name = "monitor_killer_map";
	s->maps[3].map = &obj->maps.monitor_killer_map;

	s->maps[4].name = "nm_obj_map";
	s->maps[4].map = &obj->maps.nm_obj_map;

	s->maps[5].name = "output";
	s->maps[5].map = &obj->maps.output;

	s->maps[6].name = "proc_obj_map";
	s->maps[6].map = &obj->maps.proc_obj_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "bpf___x64_sys_kill";
	s->progs[0].prog = &obj->progs.bpf___x64_sys_kill;
	s->progs[0].link = &obj->links.bpf___x64_sys_kill;

	s->data_sz = 4224;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x0c\0\xbf\x16\0\0\0\0\0\0\x79\x68\x68\0\0\0\0\0\x79\x67\x70\0\0\0\0\0\x85\0\0\
\0\x0e\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\
\0\x7b\x1a\xe8\xff\0\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x7b\x0a\xe0\
\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x10\0\
\0\0\x85\0\0\0\x10\0\0\0\x55\0\x0a\0\0\0\0\0\x63\x8a\xe8\xff\0\0\0\0\x63\x7a\
\xec\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x05\0\0\x20\
\0\0\0\x85\0\0\0\x19\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x30\0\0\0\xe8\
\x03\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x01\0\0\0\x08\
\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x04\0\0\0\xe8\x03\0\0\0\
\0\0\0\x04\0\0\0\x04\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x04\
\0\0\0\x0a\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xcc\x02\0\0\xcc\x02\0\0\x8c\x03\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\0\0\x03\0\0\
\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\0\0\0\x15\0\0\
\0\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\0\x1c\0\0\0\x03\0\0\0\x40\
\x01\0\0\x1f\0\0\0\x03\0\0\0\x80\x01\0\0\x23\0\0\0\x03\0\0\0\xc0\x01\0\0\x27\0\
\0\0\x03\0\0\0\0\x02\0\0\x2a\0\0\0\x03\0\0\0\x40\x02\0\0\x2d\0\0\0\x03\0\0\0\
\x80\x02\0\0\x30\0\0\0\x03\0\0\0\xc0\x02\0\0\x33\0\0\0\x03\0\0\0\0\x03\0\0\x36\
\0\0\0\x03\0\0\0\x40\x03\0\0\x39\0\0\0\x03\0\0\0\x80\x03\0\0\x3c\0\0\0\x03\0\0\
\0\xc0\x03\0\0\x44\0\0\0\x03\0\0\0\0\x04\0\0\x47\0\0\0\x03\0\0\0\x40\x04\0\0\
\x4a\0\0\0\x03\0\0\0\x80\x04\0\0\x50\0\0\0\x03\0\0\0\xc0\x04\0\0\x53\0\0\0\x03\
\0\0\0\0\x05\0\0\x56\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\0\
\0\0\0\x68\0\0\0\x01\0\0\0\x6c\0\0\0\x01\0\0\x0c\x04\0\0\0\xaf\x02\0\0\x05\0\0\
\x04\x14\0\0\0\xbb\x02\0\0\x07\0\0\0\0\0\0\0\xc0\x02\0\0\x07\0\0\0\x20\0\0\0\
\xc9\x02\0\0\x07\0\0\0\x40\0\0\0\xd4\x02\0\0\x07\0\0\0\x60\0\0\0\xe0\x02\0\0\
\x07\0\0\0\x80\0\0\0\xea\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xf7\x02\0\0\0\0\
\0\x0e\x06\0\0\0\x01\0\0\0\x09\x03\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x16\x03\0\
\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x21\x03\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x2e\
\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\
\x0e\0\0\0\x04\0\0\0\x33\x03\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x47\x03\0\0\0\0\
\0\x0e\x0d\0\0\0\x01\0\0\0\x52\x03\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x59\x03\0\
\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x6c\x03\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x7f\
\x03\0\0\x01\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x87\x03\0\0\x07\0\0\
\x0f\0\0\0\0\x08\0\0\0\0\0\0\0\x14\0\0\0\x09\0\0\0\0\0\0\0\x14\0\0\0\x0a\0\0\0\
\0\0\0\0\x14\0\0\0\x0b\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x11\
\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\0\0\0\0\x14\0\0\0\0\x70\x74\x5f\x72\x65\x67\
\x73\0\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\
\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\
\x78\0\x73\x69\0\x64\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\
\x66\x6c\x61\x67\x73\0\x73\x70\0\x73\x73\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x62\x70\x66\x5f\x5f\x5f\x78\
\x36\x34\x5f\x73\x79\x73\x5f\x6b\x69\x6c\x6c\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\
\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6b\x69\x6c\x6c\0\x2f\x68\x6f\x6d\x65\x2f\
\x6c\x6b\x70\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x31\x2f\x73\
\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\
\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x6b\x69\x6c\x6c\x70\
\x72\x6f\x62\x65\x2f\x6b\x69\x6c\x6c\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\
\x63\0\x4b\x50\x52\x4f\x42\x45\x28\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6b\
\x69\x6c\x6c\x2c\x20\x70\x74\x5f\x72\x65\x67\x73\x29\0\x30\x3a\x31\x33\0\x20\
\x20\x20\x20\x69\x6e\x74\x20\x73\x69\x67\x6e\x61\x6c\x20\x3d\x20\x28\x69\x6e\
\x74\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x32\x28\x63\x74\x78\
\x29\x3b\0\x30\x3a\x31\x34\0\x20\x20\x20\x20\x70\x69\x64\x5f\x74\x20\x6b\x69\
\x6c\x6c\x65\x64\x5f\x70\x69\x64\x20\x3d\x20\x28\x70\x69\x64\x5f\x74\x29\x50\
\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x28\x63\x74\x78\x29\x3b\0\x20\
\x20\x20\x20\x75\x33\x32\x20\x6b\x69\x6c\x6c\x65\x72\x5f\x70\x69\x64\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\
\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\
\x20\x76\x61\x6c\x5f\x74\x20\x76\x61\x6c\x20\x3d\x20\x7b\x2e\x6b\x69\x6c\x6c\
\x65\x72\x5f\x70\x69\x64\x20\x3d\x20\x6b\x69\x6c\x6c\x65\x72\x5f\x70\x69\x64\
\x7d\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x26\x76\x61\x6c\x2e\x63\x6f\
\x6d\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x2e\x63\x6f\x6d\x6d\
\x29\x29\x20\x3d\x3d\x20\x30\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x76\
\x61\x6c\x2e\x73\x69\x67\x6e\x61\x6c\x20\x3d\x20\x73\x69\x67\x6e\x61\x6c\x3b\0\
\x20\x20\x20\x20\x20\x20\x20\x20\x76\x61\x6c\x2e\x6b\x69\x6c\x6c\x65\x64\x5f\
\x70\x69\x64\x20\x3d\x20\x6b\x69\x6c\x6c\x65\x64\x5f\x70\x69\x64\x3b\0\x20\x20\
\x20\x20\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\
\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x6f\x75\x74\x70\
\x75\x74\x2c\x20\x30\x2c\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x76\x61\x6c\x29\x29\x3b\0\x7d\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\
\x66\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\
\x70\x5f\x66\x6c\x61\x67\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\
\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\
\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x6f\x75\x74\x70\x75\x74\0\x6d\x6f\
\x6e\x69\x74\x6f\x72\x5f\x6b\x69\x6c\x6c\x65\x72\x5f\x6d\x61\x70\0\x6d\x6f\x6e\
\x69\x74\x6f\x72\x5f\x6b\x69\x6c\x6c\x65\x64\x5f\x6d\x61\x70\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x6d\x61\x70\x73\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\xfc\0\0\0\x10\x01\0\0\x2c\0\0\0\x08\0\0\0\x7f\0\0\0\x01\0\0\0\0\0\0\0\
\x05\0\0\0\x10\0\0\0\x7f\0\0\0\x0f\0\0\0\0\0\0\0\x95\0\0\0\xfc\0\0\0\0\xb4\0\0\
\x08\0\0\0\x95\0\0\0\x21\x01\0\0\x17\xc0\0\0\x10\0\0\0\x95\0\0\0\x50\x01\0\0\
\x1f\xbc\0\0\x18\0\0\0\x95\0\0\0\x82\x01\0\0\x16\xc4\0\0\x28\0\0\0\x95\0\0\0\
\xb3\x01\0\0\x12\xd8\0\0\x40\0\0\0\x95\0\0\0\xb3\x01\0\0\x27\xd8\0\0\x50\0\0\0\
\x95\0\0\0\xb3\x01\0\0\x18\xd8\0\0\x58\0\0\0\x95\0\0\0\xb3\x01\0\0\x12\xd8\0\0\
\x68\0\0\0\x95\0\0\0\xe6\x01\0\0\x09\xdc\0\0\x78\0\0\0\x95\0\0\0\xe6\x01\0\0\
\x09\xdc\0\0\x80\0\0\0\x95\0\0\0\x28\x02\0\0\x14\xe4\0\0\x88\0\0\0\x95\0\0\0\
\x45\x02\0\0\x18\xe0\0\0\x98\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x95\0\0\
\0\x6a\x02\0\0\x09\xe8\0\0\xd0\0\0\0\x95\0\0\0\xad\x02\0\0\x01\xf0\0\0\x10\0\0\
\0\x7f\0\0\0\x02\0\0\0\x08\0\0\0\x02\0\0\0\x1c\x01\0\0\0\0\0\0\x10\0\0\0\x02\0\
\0\0\x4b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe4\0\0\0\0\0\x02\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\x14\0\0\0\
\0\0\0\0\x7d\0\0\0\x12\0\x02\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x33\0\0\0\x11\
\0\x03\0\x14\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\xc0\0\0\0\x11\0\x04\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x03\0\x78\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\
\0\x20\0\0\0\x11\0\x03\0\x64\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x40\0\0\0\x11\0\
\x03\0\x28\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\x11\0\x03\0\x50\0\0\0\0\0\
\0\0\x14\0\0\0\0\0\0\0\x4b\0\0\0\x11\0\x03\0\x3c\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x7c\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x94\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\
\xac\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\
\xc4\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\xdc\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x10\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x3c\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x4c\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x0a\x09\x0b\x0f\x11\x0c\x10\x0e\x0d\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x6f\x75\x74\x70\x75\x74\0\x6d\x61\x70\x73\0\
\x6d\x6f\x6e\x69\x74\x6f\x72\x5f\x6b\x69\x6c\x6c\x65\x72\x5f\x6d\x61\x70\0\x63\
\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\
\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\
\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x6d\x6f\x6e\x69\x74\x6f\
\x72\x5f\x6b\x69\x6c\x6c\x65\x64\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x5f\x5f\x78\
\x36\x34\x5f\x73\x79\x73\x5f\x6b\x69\x6c\x6c\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\
\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6b\x69\x6c\x6c\0\x2e\x6c\
\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\
\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\
\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x8c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\
\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xdf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\
\x70\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\x5c\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x09\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x0c\0\0\
\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x90\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\0\0\0\x02\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdb\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\x0a\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x07\0\0\0\x05\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x0b\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x07\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xaa\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\x48\x0c\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xcb\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\x0c\0\0\0\
\0\0\0\xeb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __KILLPROBE_BPF_SKEL_H__ */
